Package cx.ath.matthew.cgi

# Class DropDown

java.lang.Object
cx.ath.matthew.cgi.Field
cx.ath.matthew.cgi.DropDown

Direct Known Subclasses:
  `MultipleDropDown`

public class DropDown extends Field

## Field Summary

### Fields inherited from class cx.ath.matthew.cgi.Field

`label, name`

## Constructor Summary

Constructors
Constructor
Description
`DropDown(String name, String label, Object[] values, int defval, boolean indexed)`
Create a new DropDown list.
`DropDown(String name, String label, Object[] values, Object defval, boolean indexed)`
Create a new DropDown list.
`DropDown(String name, String label, List values, int defval, boolean indexed)`
Create a new DropDown list.
`DropDown(String name, String label, List values, Object defval, boolean indexed)`
Create a new DropDown list.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`print()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DropDown

public DropDown(String name, String label, Object[] values, Object defval, boolean indexed)
Create a new DropDown list.

Parameters:
  `name` - The HTML field name.
  `label` - The label to display
  `values` - The values for the drop down list
  `defval` - If this parameter is set then this element will be selected by default.
  `indexed` - If this is set to true, then indexes will be returned, rather than values.

### DropDown

public DropDown(String name, String label, Object[] values, int defval, boolean indexed)
Create a new DropDown list.

Parameters:
  `name` - The HTML field name.
  `label` - The label to display
  `values` - The values for the drop down list
  `defval` - If this parameter is set then this element will be selected by default.
  `indexed` - If this is set to true, then indexes will be returned, rather than values.

### DropDown

public DropDown(String name, String label, List values, Object defval, boolean indexed)
Create a new DropDown list.

Parameters:
  `name` - The HTML field name.
  `label` - The label to display
  `values` - The values for the drop down list
  `defval` - If this parameter is set then this element will be selected by default.
  `indexed` - If this is set to true, then indexes will be returned, rather than values.

### DropDown

public DropDown(String name, String label, List values, int defval, boolean indexed)
Create a new DropDown list.

Parameters:
  `name` - The HTML field name.
  `label` - The label to display
  `values` - The values for the drop down list
  `defval` - If this parameter is set then this element will be selected by default.
  `indexed` - If this is set to true, then indexes will be returned, rather than values.

## Method Details

### print

protected String print()

Specified by:
  `print` in class `Field`